Bug 30069 - update-grub at every boot if boot option ucc=rollout is set
update-grub at every boot if boot option ucc=rollout is set
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Client management
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Erik Damrose
Felix Botner
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-18 14:31 CET by Felix Botner
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2013-01-18 14:31:00 CET
elif [ "$UCC" = "rollout" ]; then
        notice "Starting UCC rollout mode"
        ucc_update
        # Copy files from image to local partitions
        _copy_files
        # The kernel might be upgraded during the image update
        _update_grub
Comment 1 Erik Damrose univentionstaff 2014-04-28 15:49:34 CEST
This is not a huge problem: After the (potential) image update the boot variant is reset to "Image boot without update check". Still, i updated the initramfs to only call _update_grub if the image has been replaced.

r49668 univention-ucc-initramfs 3.0.0-16
r49669 changelog
Comment 2 Felix Botner univentionstaff 2014-05-07 11:43:51 CEST
OK
Comment 3 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:56 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".